#include "inkey.ch"

PROCEDURE Main()
/***
*  Program ID: TestScrn.prg
*      Author: Orlando M. Chacon
*        Date: 03/21/91
*
*     Purpose: Test program for Procedure: Scrn2Txt()
*
*  The following line is all you need to include in your program to
*  successfully use the Screen capturing procedure after linking it in,
*  of course.  You can specify any valid Hot Key in place of K_F5.
*
*  LOCAL bLastSetKey := SETKEY( K_F5, {|| Scrn2Txt() } )
*
*/

   LOCAL bLastSetKey := SETKEY( K_F5, {|| Scrn2Txt() } )

   LOCAL nScrnCount  := 1
   // Sample loop to test Procedure Scrn2txt()
   FOR nScrnCount  := 1 to 10
     // Paint a sample screen
     CLEAR SCREEN
     @ 00, 00 TO 00, MAXCOL()
     @ 01, 00 SAY PADC( "This is a test, only a test...", MAXCOL()+1, " " )
     @ 02, 00 TO MAXROW()-2, MAXCOL() DOUBLE
     @ 03, 01, MAXROW()-3, MAXCOL()-1 BOX REPLICATE( CHR(177), 9 )
     @ MAXROW()-1, 00 SAY PADC( "Go Ahead, Press [F5]", MAXCOL()+1, " " )
     @ 10, 30 CLEAR TO 14, MAXCOL()-30
     @ 10, 30 TO 14, MAXCOL()-30 DOUBLE
     @ 12, 31 SAY PADC( "Screen # "+ PADL( ALLTRIM( STR( nScrnCount ) ), 4, "0" ), MAXCOL()-62 )
     @ MAXROW(), 00 to MAXROW(), MAXCOL()

     // Smart wait state, which detects Key assignments
     InkeyCheck(0)

   NEXT

   // Do this to restore the previous action block or to simply
   // disable the screen capturing procedure.
   SETKEY( K_F5, bLastSetKey )

RETURN

// EOF: TestScrn.prg
